﻿namespace PaulCsiki.SessionControl.Types
{
    public class OpenedFile
    {
        public OpenedFile(string Username, string Path, int LockCount)
        {
            this.Username = Username;
            this.Path = Path;
            this.LockCount = LockCount;
            LastID++;
            CurrentID = LastID;
        }

        public string Username;
        public string Path;
        public int LockCount;

        private int CurrentID;
        public int ID
        {
            get
            {
                return CurrentID;
            }
        }

        private static int LastID = 0;
        public static void ResetID()
        {
            LastID = 0;
        }
    }
}